Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class Credential

    java.lang.Object
      org.mortbay.jetty.security.Credential

Direct Known Subclasses:
  Credential.Crypt, Credential.MD5, Password

    public abstract class Credential

extends java.lang.Object

Credentials. The Credential class represents an abstract mechanism for checking authentication credentials. A credential instance either represents a secret, or some data that could only be derived from knowing the secret.

Often a Credential is related to a Password via a one way algorithm, so while a Password itself is a Credential, a UnixCrypt or MD5 digest of a a password is only a credential that can be checked against the password.

This class includes an implementation for unix Crypt an MD5 digest.

Author:
  Greg Wilkins (gregw)
See Also:
  `Password`

Nested Class Summary
`static class` | `Credential.Crypt` Unix Crypt Credentials
`static class` | `Credential.MD5` MD5 Credentials

Constructor Summary
`Credential()`

Method Summary
`abstract boolean` | `check(java.lang.Object credentials)` Check a credential
`static Credential` | `getCredential(java.lang.String credential)` Get a credential from a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Credential

    public Credential()

Method Detail

### check

    public abstract boolean check(java.lang.Object credentials)

  Check a credential

  Parameters:
    `credentials` - The credential to check against. This may either be another Credential object, a Password object or a String which is interpreted by this credential.
  Returns:
    True if the credentials indicated that the shared secret is known to both this Credential and the passed credential.

### getCredential

    public static Credential getCredential(java.lang.String credential)

  Get a credential from a String. If the credential String starts with a known Credential type (eg "CRYPT:" or "MD5:" ) then a Credential of that type is returned. Else the credential is assumed to be a Password.

  Parameters:
    `credential` - String representation of the credential
  Returns:
    A Credential or Password instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.